<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structcy__stc__ble__gattc__find__by__type__value__req__t" kind="struct" language="C++" prot="public">
    <compoundname>cy_stc_ble_gattc_find_by_type_value_req_t</compoundname>
    <includes local="no">cy_ble_stack_gatt_client.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structcy__stc__ble__gattc__find__by__type__value__req__t_1a8d5e28a614d2ac22c083812198eae7e1" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__value__t">cy_stc_ble_gatt_value_t</ref></type>
        <definition>cy_stc_ble_gatt_value_t cy_stc_ble_gattc_find_by_type_value_req_t::value</definition>
        <argsstring />
        <name>value</name>
        <briefdescription>
<para>Attribute Value to Find. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_client.h" bodystart="65" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_client.h" line="65" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gattc__find__by__type__value__req__t_1a1f8c91d2760434f46a35379c7bbed913" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__gatt__attr__handle__range__t">cy_stc_ble_gatt_attr_handle_range_t</ref></type>
        <definition>cy_stc_ble_gatt_attr_handle_range_t cy_stc_ble_gattc_find_by_type_value_req_t::range</definition>
        <argsstring />
        <name>range</name>
        <briefdescription>
<para>Handle Range - Start and End Handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_client.h" bodystart="68" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_client.h" line="68" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gattc__find__by__type__value__req__t_1a958b48e898f4545ca71cf2febf5ee176" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="member" refid="group__group__ble__common__api__gatt__definitions_1ga8cf5cc7e6ad2134d7cb0e7a90c529509">cy_ble_uuid16_t</ref></type>
        <definition>cy_ble_uuid16_t cy_stc_ble_gattc_find_by_type_value_req_t::uuid</definition>
        <argsstring />
        <name>uuid</name>
        <briefdescription>
<para>16-bit UUID to Find </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_client.h" bodystart="71" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_client.h" line="71" />
      </memberdef>
      <memberdef id="structcy__stc__ble__gattc__find__by__type__value__req__t_1a3673b1d4e72d1cd0ad0663bbc29f48ca" kind="variable" mutable="no" prot="public" static="no">
        <type><ref kindref="compound" refid="structcy__stc__ble__conn__handle__t">cy_stc_ble_conn_handle_t</ref></type>
        <definition>cy_stc_ble_conn_handle_t cy_stc_ble_gattc_find_by_type_value_req_t::connHandle</definition>
        <argsstring />
        <name>connHandle</name>
        <briefdescription>
<para>Connection handle. </para>        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_client.h" bodystart="74" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_client.h" line="74" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>GATT Discover primary service by UUID request parameter. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <collaborationgraph>
      <node id="654">
        <label>cy_stc_ble_conn_handle_t</label>
        <link refid="structcy__stc__ble__conn__handle__t" />
      </node>
      <node id="651">
        <label>cy_stc_ble_gattc_find_by_type_value_req_t</label>
        <link refid="structcy__stc__ble__gattc__find__by__type__value__req__t" />
        <childnode refid="652" relation="usage">
          <edgelabel>value</edgelabel>
        </childnode>
        <childnode refid="653" relation="usage">
          <edgelabel>range</edgelabel>
        </childnode>
        <childnode refid="654" relation="usage">
          <edgelabel>connHandle</edgelabel>
        </childnode>
      </node>
      <node id="653">
        <label>cy_stc_ble_gatt_attr_handle_range_t</label>
        <link refid="structcy__stc__ble__gatt__attr__handle__range__t" />
      </node>
      <node id="652">
        <label>cy_stc_ble_gatt_value_t</label>
        <link refid="structcy__stc__ble__gatt__value__t" />
      </node>
    </collaborationgraph>
    <location bodyend="76" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_client.h" bodystart="62" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/middleware-bless/cy_ble_stack_gatt_client.h" line="63" />
    <listofallmembers>
      <member prot="public" refid="structcy__stc__ble__gattc__find__by__type__value__req__t_1a3673b1d4e72d1cd0ad0663bbc29f48ca" virt="non-virtual"><scope>cy_stc_ble_gattc_find_by_type_value_req_t</scope><name>connHandle</name></member>
      <member prot="public" refid="structcy__stc__ble__gattc__find__by__type__value__req__t_1a1f8c91d2760434f46a35379c7bbed913" virt="non-virtual"><scope>cy_stc_ble_gattc_find_by_type_value_req_t</scope><name>range</name></member>
      <member prot="public" refid="structcy__stc__ble__gattc__find__by__type__value__req__t_1a958b48e898f4545ca71cf2febf5ee176" virt="non-virtual"><scope>cy_stc_ble_gattc_find_by_type_value_req_t</scope><name>uuid</name></member>
      <member prot="public" refid="structcy__stc__ble__gattc__find__by__type__value__req__t_1a8d5e28a614d2ac22c083812198eae7e1" virt="non-virtual"><scope>cy_stc_ble_gattc_find_by_type_value_req_t</scope><name>value</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>